Package twisted :: Package trial :: Module reporter :: Class MinimalReporter

[frames | no frames]

## Class MinimalReporter

    Reporter --+
               |
              MinimalReporter

Method Summary
| `__init__(self, fp)`
| `stop(self)`
Inherited from Reporter
| ``allPassed`(self)`
| ``getRunningTime`(self)`
| ``reportImportError`(self, name, exc)`
| ``reportResults`(self, testClass, method, resultType, results)`
| ``reportStart`(self, testClass, method)`
| ``start`(self, expectedTests)`

Instance Variable Summary
Inherited from Reporter
bool | `debugger`: Run the debugger when encountering a failing test.
List of (testClass, method, Results) tuples. | `errors`: Tests which have encountered an error.
List of (testClass, method, Results) tuples. | `expectedFailures`: Tests which failed but are marked as 'todo'
int | `expectedTests`: The number of tests I expect to run.
List of (testClass, method, Results) tuples. | `failures`: Tests which have failed.
List of (moduleName, exception) tuples. | `imports`: Import errors encountered while assembling the test suite.
int | `numTests`: The number of tests I have reports for.
List of (testClass, method, Results) tuples. | `skips`: Tests which have been skipped.
List of (testClass, method, Results) tuples. | `unexpectedSuccesses`: Tests which passed but are marked as 'todo'

Generated by Epydoc 2.0 on Sat May 15 20:08:03 2004 | http://epydoc.sf.net